:root {
    --main-blue: #264653;
    --main-yellow: #E9C46A;
    --main-green: #2A9D8F;
    --main-orange: #F4A261;
    --main-red: #E76F51;
};

body{
 background-color:#f4f4f4;
 color: var(--main-blue);
}

#header-index{
    color:var(--main-orange)!important;
}

* {
    font-family: 'Montserrat Alternates', sans-serif;
};


// navbar

.navbar-custom {
    background-color: var(--main-blue);
    color: var(--main-yellow);
}

.navbar-icon {
    color:  var(--main-orange);
    transition: 0.5s;
}

.navbar-icon:hover {
    text-decoration: none;
    color: var(--main-yellow);
};

.nav-link {
    color: var(--main-orange);
    transition: 0.5s;
};

.nav-link:hover {
    text-decoration: none;
    color: var(--main-yellow);
};

.dropdown-menu {
    background-color: rgba(38, 70, 83, 0.9);
    backdrop-filter: blur(5px);
}

.dropdown-item:hover {
    background-color: rgb(38, 70, 83);
}


// masthead

.masthead {
    height: 90vh;
    min-height: 500px;
    background-image:url("/img/imghome.jpg");
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
}

.h1-header {
    color: var(--main-orange);
    font-size: 70px;
}

.p-header {
    color: var(--main-orange);
    font-size: 40px;
}




.bg-filter {
    background-color: rgba(38, 70, 83, 0.9);
    backdrop-filter: blur(3px);
    border-radius: 20px;
}

.btn-orange{
background-color:var(--main-orange);
color: white;
border-radius: 10px;
border: none;
font-weight: bolder;
padding: 6px 12px;
// width: 75%;
}

.btn-orange:hover{
    color: var(--main-blue);
}

.titolo-form{
    color: black;
}

.label-creazione {
    font-size: 24px;
}

.label-creazione2 {
    font-size: 20px;
}

.text-blue{
    color: var(--main-blue);
}

.h1-view{
    font-size: 60px;
}



// barra ricerca header

.search {
  width: 100%;
  position: relative;
  display: flex;
}

.searchTerm {
  width: 100%;
  border: 3px solid var(--main-orange);
  border-right: none;
  padding: 5px;
  height: 36px;
  border-radius: 5px 0 0 5px;
  outline: none;
  color: #9DBFAF;
}

.searchTerm:focus{
  color: var(--main-orange);
}

.searchButton {
  width: 40px;
  height: 36px;
  border: 1px solid var(--main-orange);
  background: var(--main-orange);
  text-align: center;
  color: #fff;
  border-radius: 0 5px 5px 0;
  cursor: pointer;
  font-size: 20px;
}

.text-footer{
    color: var(--main-orange);
}

.revisor{
    color: var(--main-orange);
    transition: 0.5s;
}

.revisor:hover{
    text-decoration: none;
    color: white;
}

footer{
    background-color: var(--main-blue);
}

.carousel-control-next,
.carousel-control-prev /*, .carousel-indicators */ {
    filter: invert(100%);
}

// .carousel-control-next{
//     background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23264653' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath d='M5.25 0l-4 4 4 4 1.5-1.5L4.25 4l2.5-2.5L5.25 0z'/%3e%3c/svg%3e");
// }
//sidebar test
#ALLNAV{
    z-index: 999;
}
#sidebar{
    padding: 40px;
    margin: 0 auto;
    max-width: 100px;
    text-align: center;
}
#navBar{
    width: 250px;
    height: 100vh;
    position: fixed;
    background-color: var(--main-green);
    color:#fff;
    top: 0;
    left: 0;
    padding: 30px 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.nav-brandz{
    text-align: center;
}
.nav-itemz{
    padding-inline-start: 0;
}
.nav-itemz>li{
    list-style-type: none;
    margin-bottom: 10px;
    text-align: center;
    font-size: 10px;
}
.nav-itemz >li:hover{
cursor: pointer;
transform: scale(1.01);
}
#hamburgerBtn{
    background-color: var(--main-orange);
    position: absolute;
    top: 20px;
    right: 30px;
    display: none;
    z-index: 10;
    border-radius: 50%;
    overflow:hidden;
    // animation:spin 4s linear infinite;
    transition-duration: 1s;

}
// @keyframes spin { 100% {transform:rotate(360deg); } }
#hamburgerBtn:hover{
    cursor: pointer;
    transform: rotate(360deg);
}
#gear{
    color:black;
}
.btn-mobile{
background-color:var(--main-blue);
color: white;
border-radius: 10px;
border: none;
font-weight: bolder;
padding: 6px 12px;
}
@media only screen and(max-width:768px){
    #navBar{
       width: 100vw; 
       transform: translateX(-1000px);
       transition: transform 500ms;
    }
    #navBar.open{
        transform: translateX(0);
    }
    #hamburgerBtn{
        display: inline-block;
    }
}